<template>
    <v-data-table
        :headers="headers"
        :items="Usuarios"
        :items-per-page="5"
        class="elevation-1"
    ></v-data-table>
</template>
    
<script>
export default {
    name: "ListaUsuario",
    data () {
        return {
            headers: [
                {
                    text: 'Nome',
                    value: 'name',
                },
                { 
                    text: 'Idade',
                    value: 'idade' 
                },
                { 
                    text: 'Habilidades', 
                    value: 'habilidades' 
                },
                { 
                    text: 'Imagem', 
                    value: 'link' 
                },
            ],
            Usuarios: [
                {
                    name: 'Diovanni',
                    idade: 25,
                    habilidades: [ 
                        "Programador"
                    ],
                    link: "www.google.com.br/imagens",
                },
                {
                    name: 'Francisco',
                    idade: 19,
                    habilidades: [
                        "Desenhista"
                    ],
                    link: "www.facebook.com/imagem",
                },
                {
                    name: 'Marcos',
                    idade: 16,
                    habilidades: [
                        "Design"
                    ],
                    link: "www.uol.com/imagem",
                },
            ],
        }
    },
}
</script>

<style>

</style>